## ros-dashing-cloudwatch-logs-common 1.1.5

=== debian/changelog ===
ros-dashing-cloudwatch-logs-common (1.1.5-1bionic) bionic; urgency=high

  * Limit the rate of cloudwatch log uploading to match API service limits (#61 <https://github.com/aws-robotics/cloudwatch-common/issues/61>)
    * Limit the rate of publishing to PutLogEvents by delaying calls inside the CloudWathLogsFacade
  * Contributors: Emerson Knapp

 -- AWS RoboMaker <ros-contributions@amazon.com>  Wed, 14 Oct 2020 07:00:00 -0000

ros-dashing-cloudwatch-logs-common (1.1.4-1bionic) bionic; urgency=high

  * Correct seconds to milliseconds (#59 <https://github.com/aws-robotics/cloudwatch-common/issues/59>)
  * Add AWS logging to batch tests (#58 <https://github.com/aws-robotics/cloudwatch-common/issues/58>)
  * Allow user to automatically delete CloudWatch logs in batch that are > 14 days old (#56 <https://github.com/aws-robotics/cloudwatch-common/issues/56>)
    * move docstring and don't break loop
    * call fileUploadComplete
    * modify struct and add tests
    * add tests and change 2 week wording to old
    * Add lock to discard stale data container
    * extend stale data protection
    * remove setter
    * Reduce lock_guard scope
  * add error for invalid log batch (#52 <https://github.com/aws-robotics/cloudwatch-common/issues/52>)
    * add error for invalid log batch
    * modify logic
    * change to long instead of time
    * fix syntax
    * separate to function
    * change function order
    * add unit test
    * Add file manager test to CMakeList
    * file manager unit test
    * typo
    * add test log file manager class
    * modify filetest class and add unit test
    * add test publisher
    * debug
    * add validate batch function:
    * organize tuple
    * for loop to add valid data
    * pair
    * new priority queue
    * back to tuple
    * add outdated check
    * modify logic
    * modify test and pq
    * modify tests
    * add readbatch mock
    * add headers
    * remove data token
    * separate to new log_batch test file
    * add log comparison function
    * update test
    * fix typos
    * update batch test
    * remove outdated, fix timestamp
    * add > 24 hour log
    * remove utility
    * fix typo
    * changes based on review
    * modify macro
    * modify test
    * modify log_data
    * typo
    * add testfilemanagerstrategy
    * change logfile to datamanager & more
    * mock read function
    * update read and write functions
    * modify tests based on review
    * add batch_data validation
    * remove unnecessary headers
    * add test fixture
    * update test fixtures
    * updates based on review
  * Bumping version to match bloom release (#51 <https://github.com/aws-robotics/cloudwatch-common/issues/51>)
    Bumping version to 1.1.3
  * Fix linting issues found by clang-tidy 6.0 (#50 <https://github.com/aws-robotics/cloudwatch-common/issues/50>)
    * clang-tidy fixes
    * revert explicit constructor declarations to maintain API compatbility
    * clang-tidy linting issues fixed manually
    * fix unit tests build break
  * Increase package version numbers to 1.1.2 (#44 <https://github.com/aws-robotics/cloudwatch-common/issues/44>)
  * Contributors: Jesse Ikawa, Miaofei Mei, Nick Burek, Ragha Prasad

 -- AWS RoboMaker <ros-contributions@amazon.com>  Thu, 17 Sep 2020 07:00:00 -0000

ros-dashing-cloudwatch-logs-common (1.1.1-1bionic) bionic; urgency=high

  * Disable error on cast-align warning to support ARMhf builds (#41 <https://github.com/aws-robotics/cloudwatch-common/issues/41>)
    * Remove -Wcast-align flag to support ARMhf builds
    *  - bumped versions to 1.1.1
    - restored cast-align, but added as a warning
    - removed unused headers
    * Removed duplicate Werror
  * modify changelist to be compatible with catkin_generate_changelog (#39 <https://github.com/aws-robotics/cloudwatch-common/issues/39>)
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
  * Merge pull request #36 <https://github.com/aws-robotics/cloudwatch-common/issues/36> from aws-robotics/guard_test_libs
    Added guards for test libraries
  * Added guards for test libraries
  * Offline logs feature (#34 <https://github.com/aws-robotics/cloudwatch-common/issues/34>)
    * Add file manager and upload complete callback
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
    * Fixed merge conflict
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
    * Add file manager test
    Still deciding if the write should just go in the FileManagerStrategy.
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
    * Add FileManager to log manager factory
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
    * Add generic file upload logic
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
    * Add reading, discovery and rotation to FileManagerStrategy
    - Add function getFileToRead that returns the best file to start reading
    from when sending data from the file to CloudWatch.
    - Add function discoverStoredFiles which finds all files in the
    storage directory and keeps them, in case there were offline logs still
    hanging around from a previous run.
    - Add rotateActiveFile which creates a new file to write to. This is
    used when we want to read from the current active file, or when the file
    size limit has been reached.
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
    * Add file management system.
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
    * Link file management with publisher
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
    * Add test for file management system
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
    * Add reading and writing to FileManagerStrategy
    - This way the file manager strategy can handle all the core file data
    stuff, keeping track of the size of the active file and rotating it when
    neccessary.
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
    * cleanup
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>

